// JavaScript Document
// Danh sach kho phai la select_store_id
	function ajaxOnReturnOK_bc_hangtonkho()
	{
		if (req.readyState != 4) 
			return;
		if (req.status != 200) 
			return;
		hideModal();
		var param=req.dataExtra,value=req.responseText;
		if(param=="danhsachhang")
		{
			var idcontent=document.getElementById("idcontent");
			idcontent.innerHTML=value;
		}
		else if(param=="sua")
			showModal(value);
		else if(param=="them")
			showModal(value);	
		else if(param=="xem")
			showModal(value);	
		else if(param=="xoa")
		{	
			var isok="";
			if(value.length>2)
				isok=value.substr(0,2);
			if(isok=="ok")
			{
				goodsid=parseInt(value.substr(2,value.length));
				var iditem=document.getElementById("list_item_h"+goodsid);
				if(iditem!=null)
					iditem.innerHTML="";
				return;
			}
		}				
	}
	function xemHang(goodsid,type)
	{
		select_store_id=document.getElementById("select_store_id");
		ajaxGetURL("/?page=bc_hangtonkho&action=view&goodsid="+goodsid+'&store_id='+select_store_id.value+"&type="+type,"xem",ajaxOnReturnOK_bc_hangtonkho);
	}	
	function menuHang(goodsid,pageno)
	{
		var menu;
		menu="<a href='javascript:void(0)' onclick='javascript:xemHang("+goodsid+",\"\")' class='list_item_cmd'>Xem nhập xuất"+"</a>";
		menu+="<a href='javascript:void(0)' onclick='javascript:xemHang("+goodsid+",\"xb\")' class='list_item_cmd'>Xem xuất chi tiết"+"</a>";
		menu+="<a href='javascript:void(0)' onclick='javascript:xemHang("+goodsid+",\"nm\")' class='list_item_cmd'>Xem nhập chi tiết"+"</a>";
		//menu+="<a href='javascript:void(0)' onclick='javascript:suaHang("+goodsid+","+pageno+")' class='list_item_cmd'>Sửa hàng"+"</a>";
		//menu+="<a href='javascript:void(0)' onclick='javascript:xoaHang("+goodsid+","+pageno+")' class='list_item_cmd'>Xóa hàng"+"</a>";
		showModal(menu,"HÀNG");
	}	